/* sms.h --- SmsSend definitions */

/* Copyright (c) E. Lassauge, 2000.
 *
 * Permission to use, copy, modify, and distribute this software and its
 * documentation for any purpose and without fee is hereby granted,
 * provided that the above copyright notice appear in all copies and that
 * both that copyright notice and this permission notice appear in
 * supporting documentation.
 *
 * This file is provided AS IS with no warranties of any kind.  The author
 * shall have no liability with respect to the infringement of copyrights,
 * trade secrets or any patents by this file or any part thereof.  In no
 * event will the author be liable for any lost revenue or profits or
 * other special, indirect and consequential damages.
 *
 * mailto:lassauge@mail.dotcom.fr
 * http://lassauge.free.fr/
 *
 * REVISION HISTORY:
 *
 */

#ifndef _SMS_H
#define _SMS_H

/* created from smssend.c */
#include <skyutils.h>
#define DEF_LENGTH	30
#define P_LENGTH	51

#define SMSSEND_URL_SCRIPTS "http://zekiller.skytech.org/fichiers/smssend/"
#define SMSSEND_SHAREPATH   PACKAGE_SHARE_DIR "/smssend"
#define SMSSEND_SUF	    "sms"

typedef struct
{
    gchar *Name;
    gchar *Value;
    gchar *Help;
    gint Hidden;
    gint Size;
    gint Convert;		/* used only by smssend */
    GtkWidget *Widget;		/* value field widget */
}
Param_t, *PParam_t;

typedef struct
{
    gchar     *Filename;
    gchar     *Label;
    gint      NbParams;
    Param_t   *Params;
    GtkWidget *Widget;		/* notebook widget */
}
Provider_t, *PProvider_t;

extern gboolean UseProxy;
extern gchar ProxyHost[P_LENGTH];
extern gint ProxyPort;
extern gchar ProxyUser[P_LENGTH];
extern gchar ProxyPass[P_LENGTH];
extern gint DebugLevel;
extern gint TimeOut;
extern gboolean AutoCheck;
extern gboolean KeepPass;

PProvider_t CreateProviderFromFile(const char FileName[]);
void DeleteProvider(PProvider_t Pv);
void launch_sms(PProvider_t Pv, gboolean Help, gboolean Update);
#endif
